@php
    $download = $hdl->getDownloadByType('FHD');
    $downloadURL = $dldomains[array_rand($dldomains)].'/'.$download->url;
@endphp

<livewire:download-button 
    :download-url="$downloadURL" 
    :download-id="$download->id" 
    :download-count="$download->count" 
    :episode-number="$hdl->episode" 
    :fill-numbers="$fillNumbers" 
    :file-size="$download->getFileSize()">